Require Ractive views on demand in Package by Feature way
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
dist
features
.gitignore
.jscsrc
.jshintrc
CHANGELOG.md
CONTRIBUTING.md
ISSUE_TEMPLATE.md
LICENSE
PULL_REQUEST_TEMPLATE.md
README.md
bower.json
gulpfile.js
package.json

README.md

Ractive-Require

Join the chat at https://gitter.im/CodeCorico/ractive-require

Require Ractive views on demand in Package by Feature way.

Ractive-Require is an extension to Ractive.js that provides the support to require features on demand. A feature is composed by a HTML template file, and its JavaScript and CSS assets. They are not loaded on the page as long as the user does't need to use it.

Installation

Use the CDN version:

<script src="https://cdnjs.cloudflare.com/ajax/libs/ractive-require/0.6.12/ractive-require.min.js"></script>

Or copy the dist folder into your project and include ractive-require.js or ractive-require.min.js (production) file in your HTML page after Ractive.

Documentation

Go to ractive-require.codecorico.com

Contribute

To contribute to the project, read the Contribution guidelines. After that, you can create your own Pull Requests (PR) and submit them here.

Build the distribution files

If you want to hack on Ractive-Require, the first step is to clone the repo and install all its development dependencies:

git clone https://github.com/CodeCorico/ractive-require   # or your fork
ractive-require
npm install

You have to install gulp

npm install gulp -g

Then you can build the distribution files with:

gulp build

Lead contribution team